import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Inffee{
    constructor () {
        this.data = {
						cod:"",			//  FEE		.cod
						infbut:{
							dspstm:"",			//  display stream		.infbut.dspstm
							evtstm:"",			//  Stream for Events of Object		.infbut.evtstm
							vermod:{
								difsrm:"",			//  displayable stream of differences		.infbut.vermod.difsrm
							},
						},
						nam:"",			//  Feecode Description		.nam
						rec:{
							cod:"",			//  Fee Code		.rec.cod
							reltir:"",			//  Relevant Amount 		.rec.reltir
							sftcod:"",			//  SWIFT / DTA Code		.rec.sftcod
							dtacod:"",			//  Fee Code for DTA Messages		.rec.dtacod
							staflg:"",			//  Booking Type		.rec.staflg
							incflg:"",			//  Income		.rec.incflg
							rol:"",			//  Fee Payer (Default)		.rec.rol
							acc:"",			//  Account		.rec.acc
							accacr:"",			//  Accruing Account		.rec.accacr
							dscmodflg:"",			//  Modification of Description Allowed in Settlement		.rec.dscmodflg
							reltrn:"",			//  Relevant Transaction and Business Sector		.rec.reltrn
							begdat:"",			//  Begin Date		.rec.begdat
							enddat:"",			//  End of Validity Excl.		.rec.enddat
							grpcod:"",			//  Group Code		.rec.grpcod
							taxacc:"",			//  tax acc		.rec.taxacc
							taxflg:"",			//  价税分离		.rec.taxflg
						},
						recpan:{
							recget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.recpan.recget.sdamod.dadsnd
									seainf:"",			//  		.recpan.recget.sdamod.seainf
								},
							},
							seldef:"",			//  Default		.recpan.seldef
							cntdef:"",			//  Count default		.recpan.cntdef
							selety:"",			//  Entity		.recpan.selety
							cntety:"",			//  Count Entity		.recpan.cntety
							selreg:"",			//  Region		.recpan.selreg
							cntreg:"",			//  Count Region		.recpan.cntreg
							selheq:"",			//  Headquarter		.recpan.selheq
							cntheq:"",			//  Count Headquarter		.recpan.cntheq
							fecdat:"",			//  per Date		.recpan.fecdat
							selbus:"",			//  Business Sector		.recpan.selbus
							cntbus:"",			//  Count Business Sector		.recpan.cntbus
							selcty:"",			//  Country		.recpan.selcty
							cntcty:"",			//  Count Country		.recpan.cntcty
							selpty:"",			//  Party		.recpan.selpty
							cntpty:"",			//  Count Party		.recpan.cntpty
							fecstm:"",			//  stream of fee conditions		.recpan.fecstm
							prtpanblk:"",			//  XMLPanel prtpan的内置block		.recpan.prtpanblk
						},
						pageId: ""			// ctx的key
				}
    }
}