import Utils from "~/utils"

/**
* Botdav Check规则
*/
let checkObj = {
    "bodgrp.rec.matpertyp"                      :null,
    "botp.recget.sdamod.dadsnd"                      :null,
    "bodgrp.rec.doctypcod"                      :null,
    "bodgrp.dre.adrelc"                      :null,
    "bodgrp.srm.djuusr"                      :null,
    "cnybop.outflg"                      :null,
    "setmod.dspflg"                      :null,
    "bodgrp.srm.djutyp"                      :null,
    "bodgrp.col.pts.adrblk"                      :null,
    "bodgrp.blk.dftins"                      :null,
    "cnybop.cnyflg"                      :null,
    "bodgrp.blk.delins"                      :null,
    "bodgrp.srm.djuref"                      :null,
    "bodgrp.rec.stacty"                      :null,
    "bodgrp.drr.adrelc"                      :null,
    "bodgrp.rec.matpercnt"                      :null,
    "bodgrp.dre.namelc"                      :null,
    "bodgrp.dre.pts.adrblk"                      :null,
    "bodgrp.rec.invtyp"                      :null,
    "bodgrp.drr.pts.extkey"                      :null,
    "bodgrp.blk.setinsbo"                      :null,
    "bodgrp.rec.matperbeg"                      :null,
    "bodgrp.blk.proins"                      :null,
    "bodgrp.drr.pts.adrblk"                      :null,
    "bodgrp.srm.djudat"                      :null,
    "bodgrp.rec.matdat"                      :null,
    "bodgrp.cbs.max.amt"                      :null,
    "cnybop.traflg"                      :null,
    "botp.colp.ptsget.sdamod.dadsnd"                      :null,
    "bodgrp.drr.pts.ref"                      :null,
    "bodgrp.col.adrelc"                      :null,
    "bodgrp.rec.shpdat"                      :null,
    "bodgrp.rec.ownref"                      :null,
    "botp.drrp.ptsget.sdamod.dadsnd"                      :null,
    "bodgrp.col.pts.extkey"                      :null,
    "botp.usr.extkey"                      :null,
    "bodgrp.rec.dircolflg"                      :null,
    "mtabut.coninf.conexedat"                      :null,
    "bodgrp.col.namelc"                      :null,
    "cnybop.libflg"                      :null,
    "botp.drep.ptsget.sdamod.dadsnd"                      :null,
    "bodgrp.blk.colins"                      :null,
    "setmod.docamt"                      :null,
    "bodgrp.drr.namelc"                      :null,
    "bodgrp.blk.othins"                      :null,
    "bodgrp.dre.pts.extkey"                      :null,
    "cnybop.vouflg"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

