import CodeTable from "~/config/CodeTable"

export default {
  dsp:CodeTable.dsp,
  busflg:CodeTable.busflg,
  actiontype:CodeTable.actiontype,
  cur:CodeTable.cur,
  ptytyp:CodeTable.ptytyp,
  staflg:CodeTable.staflg,
  paytyp:CodeTable.paytyp,
  payattr:CodeTable.payattr,
  balancemode:CodeTable.balancemode,
  bopcustype:CodeTable.bopcustype,
  payeeattr:CodeTable.payeeattr,
  boppaytype:CodeTable.boppaytype,
  debcdtflg:CodeTable.debcdtflg,
  acttyp:CodeTable.acttyp,
  payflg:CodeTable.payflg,
  buscod:CodeTable.buscod,
  datsrc:CodeTable.datsrc,
  sndselflg:CodeTable.sndselflg,
  payacttyp:CodeTable.payacttyp,
  curtxt:CodeTable.curtxt,
  bustyp:CodeTable.bustyp,
  swftyp:CodeTable.swftyp,
  payeraccttype:CodeTable.payeraccttype,
  chato:CodeTable.chato,
  opertype:CodeTable.opertype,
  bopyesno:CodeTable.bopyesno,
  custyp:CodeTable.custyp,
  dsp2:CodeTable.dsp2,
  liqtyp:CodeTable.liqtyp,
  bopcur: CodeTable.bopcur,
  szflg: CodeTable.szflg,
  rmbflg: CodeTable.rmbflg,
  jshtyp: CodeTable.jshtyp,
  diqvjigou: CodeTable.diqvjigou,
  bopmethods: CodeTable.bopmethods,
  rol: CodeTable.rol,
  swfcod: {
    SWT: [
      { label: 'MT103', value: '103' },
      { label: 'MT103+MT202', value: '103202' },
    ],
    FMT: [
      { label: 'FMT100', value: 'F00' },
      { label: 'FMT101', value: 'F01' },
    ],
    CIP: [
      { label: 'CIPS001', value: 'C00' },
      { label: 'CIPS101', value: 'C01' },
    ],
    CMT: [
      { label: 'CMT100', value: 'CM0' },
    ]
  },
  liqtyp1: [
		{ label: '01-SWIFT支付', value: 'SWT' },
		{ label: '02-境内外币支付', value: 'FMT' },
		{ label: '03-行内划转', value: 'ZZT' },
	],
	liqtyp2: [
		{ label: '03-行内划转', value: 'ZZT' },
		{ label: '04-跨境人民币支付', value: 'CIP' },
		{ label: '05-人民币大额支付', value: 'CMT' },
  ],
  usetype: [
    { label: `购房`, value: `010` },
    { label: `购买其他固定资产`, value: `011` },
    { label: `其他等用途`, value: `099` },
    { label: `支付货款`, value: `001` },
    { label: `股权出资`, value: `012` },
    { label: `支付工程款`, value: `002` },
    { label: `偿还银行贷款`, value: `013` },
    { label: `支付保证金`, value: `003` },
    { label: `购买股票/债券/基金/信托等境内金融资产`, value: `014` },
    { label: `支付咨询费`, value: `004` },
    { label: `支付其他服务费用`, value: `005` },
    { label: `支付投资人境外证券投资本金/收益`, value: `016` },
    { label: `预付款`, value: `006` },
    { label: `利息结汇`, value: `017` },
    { label: `支付税款`, value: `007` },
    { label: `备用金`, value: `018` },
    { label: `支付工资等劳务报酬`, value: `008` },
    { label: `现钞`, value: `019` },
    { label: `土地出让金`, value: `009` },
  ],
  bchlevelLst:[]
}